0
votes
1answer
88 views

RVM Not Finding Library

I am running CentOS 5.9 and installed RVM on it. However, whenever I run rvm requirements or rvm install 1.9.3, I get: --> Processing Dependency: libyaml-0.so.1()(64bit) for package: libyaml-devel ...
-1
votes
2answers
196 views

rvm doesn't install in centos without root privileges [closed]

I trying to install RVM using deployer user that doesn't had root privileges ant I getting this error: bash: line 439: ./scripts/install: Permission denied Any help? Thank you!
4
votes
5answers
9k views

How to fix “ruby installation is missing psych (for YAML output).” on CentOS?

After rvm installation on CentOS 5.8: [rails@localhost ~]$ rvm -v rvm 1.16.17 [rails@localhost ~]$ which ruby ~/.rvm/rubies/ruby-1.9.3-p286/bin/ruby [rails@localhost ~]$ ruby -v ruby 1.9.3p286 ...
3
votes
4answers
1k views

Install RVM with ansible

I am attempting to install rvm with ansible on a centos-based vagrant box. The command I am running is: vars: user: "foo" - name: install rvm action: command sudo -u $user bash ...